%global upstreamver 1r2p2
%global pkgname ctbllib

Name:           gap-pkg-%{pkgname}
Version:        %(sed -r "s/r|p/./g" <<< %upstreamver)
Release:        10%{?dist}
Summary:        GAP Character Table Library

License:        GPLv2+
URL:            http://www.math.rwth-aachen.de/~Thomas.Breuer/%{pkgname}/
Source0:        http://www.math.rwth-aachen.de/~Thomas.Breuer/%{pkgname}/%{pkgname}-%{upstreamver}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  gap-pkg-browse
BuildRequires:  gap-pkg-tomlib
BuildRequires:  parallel
BuildRequires:  procps

Requires:       gap-core

Recommends:     gap-pkg-browse
Recommends:     gap-pkg-tomlib
Recommends:     gap-pkg-spinsym

%description
This package provides the Character Table Library by Thomas Breuer.

%prep
%setup -q -n %{pkgname}

%build
# Compress large tables
parallel %{?_smp_mflags} --no-notice gzip --best ::: data/*.tbl

# Link to main GAP documentation
cp -a %{_gap_dir}/doc ../../doc
cp -a %{_gap_dir}/pkg/atlasrep ../atlasrep
cp -a %{_gap_dir}/pkg/Browse ../Browse
pushd doc
gap makedocrel.g
popd
rm -fr ../{atlasrep,Browse} ../../doc

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg/%{pkgname}
cp -a ../%{pkgname} %{buildroot}%{_gap_dir}/pkg
rm -fr %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{gap3,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/tst/*~
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,toc}

%check
# Basic installation test
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" << EOF 2>&1 | tee log
ReadPackage( "ctbllib", "tst/testinst.g" );
EOF
grep -Fvq fail log
rm -f log

# Somewhat less basic test
# Currently, one test fails because we are not running Browse in a window.
# Ignore whitespace differences in the test results.
sed -i '/Test/s/);/, rec( compareFunction := "uptowhitespace" )&/' \
  tst/testauto.g
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" tst/testauto.g < /dev/null

# Do not run testall.g.  It takes several days to run.

%files
%doc README
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%docdir %{_gap_dir}/pkg/%{pkgname}/htm
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Apr  7 2016 Jerry James <loganjerry@gmail.com> - 1.2.2-7
- Rebuild for gap 4.8.3

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 11 2015 Jerry James <loganjerry@gmail.com> - 1.2.2-5
- Drop scriptlets; gap-core now uses rpm file triggers
- Rebuild documentation from source
- Turn test failures into build failures

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 30 2015 Jerry James <loganjerry@gmail.com> - 1.2.2-3
- Use redirection to force check script to terminate

* Thu Jan 29 2015 Jerry James <loganjerry@gmail.com> - 1.2.2-2
- Use _smp_mflags when compressing

* Fri Jan 16 2015 Jerry James <loganjerry@gmail.com> - 1.2.2-1
- Initial RPM
